javax.xml.bind

## Class PropertyException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - javax.xml.bind.JAXBException
      - - javax.xml.bind.PropertyException

All Implemented Interfaces:
  java.io.Serializable

    public class PropertyException
    extends JAXBException

This exception indicates that an error was encountered while getting or setting a property.

Since:
  JAXB1.0
See Also:
  `JAXBContext`, `Validator`, `Unmarshaller`, Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`PropertyException(java.lang.String message)` Constructor for PropertyException.
`PropertyException(java.lang.String name, java.lang.Object value)` Constructor for PropertyException.
`PropertyException(java.lang.String message, java.lang.String errorCode)` Constructor for PropertyException.
`PropertyException(java.lang.String message, java.lang.String errorCode, java.lang.Throwable exception)` Constructor for PropertyException.
`PropertyException(java.lang.String message, java.lang.Throwable exception)` Constructor for PropertyException.
`PropertyException(java.lang.Throwable exception)` Constructor for PropertyException.

### Method Summary

### Methods inherited from class javax.xml.bind.JAXBException

`getErrorCode, getLinkedException, printStackTrace, printStackTrace, setLinkedException, toString`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, setStackTrace`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### PropertyException

    public PropertyException(java.lang.String message)

Constructor for PropertyException.

Parameters:
  `message` -

#### PropertyException

    public PropertyException(java.lang.String message,
                             java.lang.String errorCode)

Constructor for PropertyException.

Parameters:
  `message` -
  `errorCode` -

#### PropertyException

    public PropertyException(java.lang.Throwable exception)

Constructor for PropertyException.

Parameters:
  `exception` -

#### PropertyException

    public PropertyException(java.lang.String message,
                             java.lang.Throwable exception)

Constructor for PropertyException.

Parameters:
  `message` -
  `exception` -

#### PropertyException

    public PropertyException(java.lang.String message,
                             java.lang.String errorCode,
                             java.lang.Throwable exception)

Constructor for PropertyException.

Parameters:
  `message` -
  `errorCode` -
  `exception` -

#### PropertyException

    public PropertyException(java.lang.String name,
                             java.lang.Object value)

Constructor for PropertyException.

Parameters:
  `name` - the name of the property related to this exception
  `value` - the value of the property related to this exception

Copyright © 2003, 2019, Oracle and/or its affiliates. All rights reserved.
Use is subject to license terms. Also see the documentation redistribution policy.
ORACLE CONFIDENTIAL
For authorized use only.
Do not distribute to third parties.